#! /bin/tcsh -f

set pix = 0.11
set dist = 129
set wave = 1.32
set cell = ( 281.000  281.000  165.200  90.00  90.00 120.00 )

set seed = 1

set opts = `cat opts.txt`
set opts = ( $opts $* )

if(! -e Fdump.bin) then
  ./fastBragg $opts -hkl P1.hkl -mat A.mat -progress -floatfile zero.bin \
      -roi 0 0 0 0
endif

  ./fastBragg $opts -mat A.mat -progress -floatfile test1.bin \
      -roi 800 830 850 1050 &

  ./fastBragg $opts -mat A.mat -progress -floatfile test2.bin \
      -roi 831 860 850 1050 &

  ./fastBragg $opts -mat A.mat -progress -floatfile test3.bin \
      -roi 861 890 850 1050 &

  ./fastBragg $opts -mat A.mat -progress -floatfile test4.bin \
      -roi 891 920 850 1050 &

  ./fastBragg $opts -mat A.mat -progress -floatfile test5.bin \
      -roi 921 950 850 1050 &

  ./fastBragg $opts -mat A.mat -progress -floatfile test6.bin \
      -roi 951 980 850 1050 &

  ./fastBragg $opts -mat A.mat -progress -floatfile test7.bin \
      -roi 981 1010 850 1050 &

wait
  float_add test1.bin test2.bin sum.bin
  float_add sum.bin test3.bin new.bin ; mv new.bin sum.bin
  float_add sum.bin test4.bin new.bin ; mv new.bin sum.bin
  float_add sum.bin test5.bin new.bin ; mv new.bin sum.bin
  float_add sum.bin test6.bin new.bin ; mv new.bin sum.bin
  float_add sum.bin test7.bin new.bin ; mv new.bin sum.bin

float_add sum.bin -scale1 80 \
     ./water.bin -scale2 0.1 \
     /dev/shm/mix$$.bin
float_mult /dev/shm/mix$$.bin ./polar.bin  /dev/shm/noisify$$.bin

./noisify -floatfile /dev/shm/noisify$$.bin -lambda $wave -distance $dist -pixel $pix \
     -detpixels_x 1700 -detpixels_y 1700 \
     -Xbeam 93.5 -Ybeam 93.5 -fluence 1.5e23 -gain 66 \
     -seed $seed \
     -noisefile noisified.img


exit
