#! /bin/tcsh -f

set pix = 0.11
set dist = 129
set wave = 1.32
set rootdir = /data3/anonymous/pub/Illuin/LCLS/flicker/

foreach subdir ( $* )

foreach seed ( `seq -f%05.0f ${subdir}000 ${subdir}999` )

    echo "seed = $seed"
    set subdir = `echo $seed | awk '{print substr($1,1,2)}'`
    set savedir = "${rootdir}/$subdir"
    set noisefile = ${savedir}/fake_${seed}.img
    echo "$noisefile"
    set floatfile = /data3/jamesh/fakedata/PSI/${subdir}/floatimage_${seed}.bin 

    if(-e $noisefile ) continue
    if(! -e $savedir) mkdir -p $savedir
    if(! -e $floatfile ) continue

    set scale = `tail -n +$seed ../random_scales.txt | head -1 | awk '{print 8*$1}'`
    echo "scale = $scale"

    dd if=$floatfile of=/dev/null |& cat
float_add $floatfile -scale1 $scale \
     ../water.bin -scale2 1 \
     /dev/shm/mix$$.bin
float_mult /dev/shm/mix$$.bin ../polar.bin  /dev/shm/noisify$$.bin
echo "done"

../noisify -floatfile /dev/shm/noisify$$.bin -lambda $wave -distance $dist -pixel $pix \
     -detpixels_x 1700 -detpixels_y 1700 \
     -Xbeam 93.5 -Ybeam 93.5 -fluence 1.5e23 -gain 66 \
     -seed $seed \
     -noisefile $noisefile
echo "done"

end
end

exit

foreach subdir ( 00 01 02 03 )

mkdir render$subdir
cd render$subdir
../render.com $subdir >&! render.log &
cd ..

end


