#! /bin/tcsh -f
#
#
#
#
#
set pix = 0.11
set dist = 129
set wave = 1.32
set cell = ( 281.000  281.000  165.200  90.00  90.00 120.00 )

set rootdir = /data3/jamesh/fakedata/PSI

set opts = " -square_xtal \
     -dispersion 0 -divergence 0 \
     -lambda $wave -distance $dist -pixel $pix \
     -detpixels_x 1700 -detpixels_y 1700 \
     -Xbeam 93.5 -Ybeam 93.5 -dmin 2.5 \
     -Na 17 -Nb 17 -Nc 30 -oversample 10 \
     -noprogress -nonoise -nopolar"


foreach file ( UBtoA.awk fastBragg P1.hkl )
    if(! -e "$file" ) cp ../$file .
end

# generate the hkl cache file
   ./UBtoA.awk << EOF | tee A.mat
CELL $cell
WAVE $wave
EOF
  ./fastBragg $opts -hkl P1.hkl -mat A.mat -oversample 1





if(-e n.txt && -e sum.bin) then
    set n = `cat n.txt`
else
    set n = 0
    float_add floatimage.bin -scale1 0 floatimage.bin -scale2 0 sum.bin
endif

set lines = `cat seeds.txt | wc -l`
set line = 0
while ( $line < $lines )
    @ line = ( $line + 1 )
    set seed = `head -n $line seeds.txt | tail -1`
    echo "seed = $seed"
    set subdir = `echo $seed | awk '{print substr($1,1,2)}'`
    set savedir = "${rootdir}/$subdir"

   ./UBtoA.awk << EOF >! A.mat
CELL $cell
WAVE $wave
RANDOM 90 $seed
EOF

    ./fastBragg $opts -mat A.mat \
      -intfile latest.img -floatfile floatimage.bin

    float_add sum.bin floatimage.bin
    mv output.bin sum.bin
    @ n = ( $n + 1 )
    echo "$n" >! n.txt

    if(! -e ${savedir}) mkdir -p $savedir
    cp floatimage.bin ${savedir}/floatimage_${seed}.bin
end

